* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: "Montserrat", sans-serif;
  min-height: 100vh;
  background: url("camsbd-motive.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  height: 120vh;
}


.cal-bg {
  width: 100%;
  height: 100vh;
  background: url("camsbd-motive.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}

.calender {
  width: 45rem;
  height: 52rem;
  background: rgba(255, 255, 255, 0.04);
  box-shadow: 0 0.2rem 5rem rgba(0, 0, 0, 0.4);
}

.month {
  width: 100%;
  height: 12rem;
  background-color: #fcd307;
  display: flex;
  justify-content: space-between;
  padding: 0 2rem;
  align-items: center;
  text-align: center;
  text-shadow: 0.2rem 0.2rem 5rem rgba(0, 0, 0, 0.4);
}

.month i {
  font-size: 3.2rem;
  cursor: pointer;
  width: 12%;
  height: 40%;
  margin-left: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.2s;
}

.month i:hover {
  background-color: #000000;
  border: 0.2rem solid #3EC70B;
  border-radius: 50%;
}

.month h1 {
  font-size: 3.2rem;
  font-weight: bold;
  cursor: pointer;
  transition: all 0.9s ease;
}
.month h1:hover {
  color: #ff0000;
}
.month p {
  font-size: 1.8rem;
  cursor: pointer;
  transition: all 0.9s ease;
}
.month p:hover {
  color: #000000;
}
.weekdays {
  width: 100%;
  height: 5rem;
  padding: 0 0.4rem;
  display: flex;
  align-items: center;
}

.weekdays div {
  font-size: 1.8rem;
  font-weight: 900;
  width: calc(44.2rem / 7);
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  text-shadow: 0 0.5rem 3rem rgba(0, 0, 0, 0.4);
}

.days {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  padding: 0.2rem;
}

.days div {
  font-size: 1.8rem;
  margin: 0.3rem;
  width: calc(40.2rem / 7);
  height: 5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  text-shadow: 0 0.5rem 3rem rgba(0, 0, 0, 0.4);
  transition: all 0.2s;
}

.days div:hover:not(.today) {
  background-color: #ff0000;
  border: 0.3rem solid #fcd307;
  color: #ffffff;
  border-radius: 30%;
  cursor: pointer;
}

.prev-date,
.next-date {
  opacity: 0.5;
}

.today {
  background-color: #3EC70B;
  border-radius: 30%;
}
.today:hover {
  border: 0.3rem solid #fcd307;
}

.eventcalender {
  display: none;
  background: rgba(22, 21, 21, 0.938);
  backdrop-filter: blur(0.7rem);
  height: 79vh;
  width: 34rem;
  top: 24%;
  position: absolute;
  padding-top: 5rem;
  overflow-y: auto;
  transition: 0.6s ease;
  transition-property: left;
}
.close-btn3 {
  position: absolute;
  top: 0%;
  color: #ff0000;
  font-size: 4rem;
  left: 80%;
  margin-bottom: 10rem;
  cursor: pointer;
}

/*-------------- MEDIA QUARY STARTS HERE!-----------*/
@media (max-width: 768px) {

  .calender {
    width: 35rem;
    height: 50rem;
  }
  .month {
    width: 100%;
  }
  .month i {
    width: 12%;
    height: 35%;
    margin-left: 1rem;

  }
  .month i:hover {
    background-color: #343f56;
    border: 0.2rem solid #54e346;
    border-radius: 60%;
  }
  .weekdays {
    width: 100%;
    height: 5rem;
  }
  .weekdays div {
    font-size: 1.8rem;
    font-weight: 900;
    width: calc(34.2rem / 7);
  }
  .days {
    width: 100%;
   
  }
  .days div {
    font-size: 1.8rem;
    margin: 0.3rem;
    width: calc(30.2rem / 7);
    height: 5rem;
  }
}